org.gjt.sp.jedit.indent

## Class DeepIndentRule

- java.lang.Object
- - org.gjt.sp.jedit.indent.DeepIndentRule

All Implemented Interfaces:
  IndentRule

    public class DeepIndentRule
    extends java.lang.Object
    implements IndentRule

Deep indent rule.

### Constructor Summary

Constructors
Constructor and Description
`DeepIndentRule(char openChar, char closeChar)`

### Method Summary

Methods
`void` `apply(JEditBuffer buffer, int thisLineIndex, int prevLineIndex, int prevPrevLineIndex, java.util.List<IndentAction> indentActions)` Apply the indent rule to this line, and return an indent action.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeepIndentRule

    public DeepIndentRule(char openChar,
                  char closeChar)

### Method Detail

#### apply

    public void apply(JEditBuffer buffer,
             int thisLineIndex,
             int prevLineIndex,
             int prevPrevLineIndex,
             java.util.List<IndentAction> indentActions)

Description copied from interface: `IndentRule`
Apply the indent rule to this line, and return an indent action.

Specified by:
  `apply` in interface `IndentRule`
Parameters:
  `buffer` - the buffer
  `thisLineIndex` - the line index
  `prevLineIndex` - the prior non empty line index (or -1 if there is no prior non empty line)
  `prevPrevLineIndex` - the prior non empty line index before the prevLineIndex (or -1 if there is no prior non empty line)
  `indentActions` - the indent actions list. The rule can add an action in it if it is necessary